import "axios";
async function o(n, r) {
  let a = -1;
  async function t(e) {
    if (e <= a)
      throw new Error("createdMiddlewareRunner_axios:  中间件不能被重复调用");
    a = e;
    const i = n[e];
    i && await i(r, () => t(e + 1));
  }
  await t(0);
}
export {
  o as executeAxiosMiddlewares
};
